public inbox for gentoo-science@lists.gentoo.org
 help / color / mirror / Atom feed
From: heroxbd@gentoo.org
To: gentoo-dev@lists.gentoo.org, gentoo-science@lists.gentoo.org
Cc: Benda Xu <heroxbd@gentoo.org>
Subject: [gentoo-science] [PATCH 2/2] virtual/{c,}blas: add sci-libs/blis as a candidate.
Date: Thu, 27 Jun 2019 14:16:16 +0800	[thread overview]
Message-ID: <20190627061616.15381-3-heroxbd@gentoo.org> (raw)
In-Reply-To: <20190627061616.15381-1-heroxbd@gentoo.org>

From: Benda Xu <heroxbd@gentoo.org>

  On ld.so-based systems, runtime library switching is possible.  We
  use 'eselect-ldso' to flag this possibility.  In this case, blis can
  used as a drop-in replacement via an `eselect` call.

  Otherwise If USE eselect-ldso is not set, only reference
  implementation will be pulled in.

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Benda Xu <heroxbd@gentoo.org>
---
 virtual/blas/blas-3.8.ebuild   | 5 ++++-
 virtual/cblas/cblas-3.8.ebuild | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/virtual/blas/blas-3.8.ebuild b/virtual/blas/blas-3.8.ebuild
index e3807aaa8c4a..45bf1cc03013 100644
--- a/virtual/blas/blas-3.8.ebuild
+++ b/virtual/blas/blas-3.8.ebuild
@@ -9,6 +9,9 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~
 IUSE="eselect-ldso"
 
 RDEPEND="
-	>=sci-libs/lapack-3.8.0[eselect-ldso?]
+	!eselect-ldso? ( >=sci-libs/lapack-3.8.0[-eselect-ldso] )
+	eselect-ldso? ( || (
+		>=sci-libs/lapack-3.8.0[eselect-ldso]
+		sci-libs/blis[eselect-ldso] ) )
 "
 DEPEND="${RDEPEND}"
diff --git a/virtual/cblas/cblas-3.8.ebuild b/virtual/cblas/cblas-3.8.ebuild
index 0b295963f8de..440e9fc4a540 100644
--- a/virtual/cblas/cblas-3.8.ebuild
+++ b/virtual/cblas/cblas-3.8.ebuild
@@ -9,6 +9,9 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~a
 IUSE="eselect-ldso"
 
 RDEPEND="
-	>=sci-libs/lapack-3.8.0[eselect-ldso?]
+	!eselect-ldso? ( >=sci-libs/lapack-3.8.0[-eselect-ldso] )
+	eselect-ldso? ( || (
+		>=sci-libs/lapack-3.8.0[eselect-ldso]
+		sci-libs/blis[eselect-ldso] ) )
 "
 DEPEND="${RDEPEND}"
-- 
2.17.0



      parent reply	other threads:[~2019-06-27  6:17 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <e8c6b0500c8dd1d4dcd6d133bea4aa3e4de08b7d.camel@gentoo.org>
2019-06-27  6:16 ` [gentoo-science] [PATCH 0/2] RFC: Introducing ldso switching to BLAS/LAPACK heroxbd
2019-06-27  6:16   ` [gentoo-science] [PATCH 1/2] virtual/{blas,cblas,lapack,lapacke}: add virtual packages heroxbd
2019-06-27  6:16   ` heroxbd [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190627061616.15381-3-heroxbd@gentoo.org \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    --cc=gentoo-science@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox